package characters;

public class Knight {
	private int energy;

	public Knight(int energy) {
		setEnergy(energy);
	}
		
	public void setEnergy(int energy) {
		this.energy = energy;
	}
	
	public void increaseEnergy(int energy) {
		this.energy += energy;
	}
	
	public void decreaseEnergy(int energy) {
		this.energy -= energy;
	}
	
	public int getEnergy() {
		return energy;
	}
	
	public void attack(Ogre ogre) {
		if (getEnergy() >= ogre.getEnergy())
			ogre.setEnergy((int) (0.9 * ogre.getEnergy()));

		ogre.revenge(this); 
	}
	
	public String toString() {
		return "Knight: " + getEnergy();
	}
}
