package clash;

public class ClashReport implements ClashFollower {
	Clash clash;
	
	public ClashReport(Clash clash) {
		this.clash = clash;
	}
	
	public void inform() {
		int knightsEnergy = 0;
		int ogresEnergy = 0;

		for (int i = 0; i < clash.numberOfWarriors; ++i) {
			knightsEnergy += clash.knight[i].getEnergy();
			ogresEnergy += clash.ogre[i].getEnergy();
		}
		
		if (knightsEnergy > ogresEnergy) 
			System.out.println("*** Knights are winninig. ***");
		else
			System.out.println("*** Ogres are winninig. ***");			
	}
}
