package characters;

public class Ogre {
	private int energy;
	
	public Ogre(int energy) {
		this.energy = energy;
	}
	
	public void setEnergy(int energy) {
		this.energy = energy;
	}

	public int getEnergy() {
		return energy;
	}
	
	void revenge(Knight knight) {
		if (getEnergy() > knight.getEnergy())
			knight.setEnergy((int) (0.9 * knight.getEnergy()));
	}

	public String toString() {
		return "Ogre: " + getEnergy();
	}
}
