package clash;

import characters.*;

public class SimpleClashSetup implements ClashSetup {
	public void setup(Knight[] knight, Ogre[] ogre, int knights, int braveKnights, int badOgres) {
		int numberOfWarriors = knights + braveKnights;
		
		for (int i = 0; i < knights; ++i){
			knight[i] = new Knight(80, new IronSword());
		}

		for (int i = knights; i < numberOfWarriors; ++i) {
			knight[i] = new BraveKnight(100, new LightSword());
		}

		for (int i = 0; i < badOgres; ++i){
			ogre[i] = new BadOgre(100);
		}
		
		for (int i = badOgres; i < numberOfWarriors; ++i){
			ogre[i] = new Ogre(100);
		}
	}
}
